%define upstream_name    Mixin-Linewise
%define upstream_version 0.111

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get linewise writers for strings and filenames
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mixin/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(PerlIO::utf8_strict)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
It's boring to deal with opening files for IO, converting strings to
handle-like objects, and all that. With Mixin::Linewise::Readers
and Mixin::Linewise::Writers, you can just write a
method to handle handles, and methods for handling strings and filenames
are added for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.111.0-2.mga10
+ Revision: 2217077
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.111.0-1.mga9
+ Revision: 1928827
- update to 0.111

* Mon Mar 21 2022 umeabot <umeabot> 0.110.0-2.mga9
+ Revision: 1814685
- Mageia 9 Mass Rebuild

* Tue Jun 29 2021 tv <tv> 0.110.0-1.mga9
+ Revision: 1734166
- update to 0.110

* Wed Jun 23 2021 tv <tv> 0.109.0-1.mga9
+ Revision: 1731824
- update to 0.109

* Wed Feb 12 2020 umeabot <umeabot> 0.108.0-5.mga8
+ Revision: 1495600
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.108.0-4.mga7
+ Revision: 1269261
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.108.0-3.mga6
+ Revision: 1029899
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.108.0-2.mga6
+ Revision: 967643
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.108.0-1.mga6
+ Revision: 849959
- update to 0.108

* Wed Oct 15 2014 umeabot <umeabot> 0.106.0-4.mga5
+ Revision: 742369
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.106.0-3.mga5
+ Revision: 735699
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.106.0-2.mga5
+ Revision: 685404
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.106.0-1.mga5
+ Revision: 602938
- update to 0.106

* Tue Feb 25 2014 jquelin <jquelin> 0.105.0-1.mga5
+ Revision: 596871
- update to 0.105

* Tue Feb 04 2014 shlomif <shlomif> 0.104.0-1.mga5
+ Revision: 581666
- update to 0.104

* Sat Oct 19 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 528716
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.4.0-1.mga4
+ Revision: 447037
- update to 0.004

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 369734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 26578
- mageia rebuild
- imported package perl-Mixin-Linewise

